org.apache.lucene.util

## Class IntBlockPool.SliceWriter

- java.lang.Object
- - org.apache.lucene.util.IntBlockPool.SliceWriter

- Enclosing class:
    IntBlockPool

      public static class IntBlockPool.SliceWriter
      extends Object

  A `IntBlockPool.SliceWriter` that allows to write multiple integer slices into a given `IntBlockPool`.
  See Also:
    `IntBlockPool.SliceReader`
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SliceWriter(IntBlockPool pool)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCurrentOffset()` Returns the offset of the currently written slice.
    `void` | `reset(int sliceOffset)`
    `int` | `startNewSlice()` starts a new slice and returns the start offset.
    `void` | `writeInt(int value)` Writes the given value into the slice and resizes the slice if needed

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SliceWriter

          public SliceWriter(IntBlockPool pool)

  - ### Method Detail

    - #### reset

          public void reset(int sliceOffset)

    - #### writeInt

          public void writeInt(int value)

      Writes the given value into the slice and resizes the slice if needed

    - #### startNewSlice

          public int startNewSlice()

      starts a new slice and returns the start offset. The returned value should be used as the start offset to initialize a `IntBlockPool.SliceReader`.

    - #### getCurrentOffset

          public int getCurrentOffset()

      Returns the offset of the currently written slice. The returned value should be used as the end offset to initialize a `IntBlockPool.SliceReader` once this slice is fully written or to reset the this writer if another slice needs to be written.

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.